Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005462 [JEDI VCL] 00 JVCL Components trivial always 2011-01-19 14:58 2012-09-10 14:15
Reporter bobmarlowe View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version 3.40
Summary 0005462: TJvTFDays does not allow for european time display.
Description In many counties am/pm is totally unknown.
TJvTFDays.GetMinorLabel calculates (locally) Full24 depending on the granularity (which has imho nothing to do with 24-hour clock modes).
Instead TJvTFDays should use the settings in the date/time windows environment and/or should use a (published) property to set a 24-hour time display.
Additional Information I don't know how to contribute, but I thik I could manage to make the changes..
Tags No tags attached.
Attached Files

- Relationships
related to 0005472resolvedobones TJvTFDays.GetMinorLabel 

-  Notes
(0018353)
obones (administrator)
2011-02-15 13:49

Please provide the zipped sources of a sample application showing this.
(0018423)
stevegr (reporter)
2011-02-27 16:12

Same issue as 0005472: TJvTFDays.GetMinorLabel
'am/pm' problem
(0018599)
obones (administrator)
2011-06-07 17:40

Really? Does not seem similar to me.
I would really need the sample application
(0019599)
obones (administrator)
2012-02-27 16:57

Any news?
(0019604)
stevegr (reporter)
2012-02-27 17:44

There was a problem with 'am/pm' been hard-coded instead or reading system locale info (TimeAMString/TimePMString). This was fixed in Mantis 5472 code I contributed. I've tested it in the greek locale and it works ok. I beleive this is solved. Original reporter should confirm also.

- Issue History
Date Modified Username Field Change
2011-01-19 14:58 bobmarlowe New Issue
2011-02-15 13:49 obones Note Added: 0018353
2011-02-15 13:49 obones Status new => feedback
2011-02-27 16:12 stevegr Note Added: 0018423
2011-06-07 17:40 obones Note Added: 0018599
2012-02-27 16:57 obones Note Added: 0019599
2012-02-27 17:44 stevegr Note Added: 0019604
2012-02-28 09:04 obones Relationship added related to 0005472
2012-02-28 09:04 obones Status feedback => resolved
2012-02-28 09:04 obones Fixed in Version => Daily / SVN
2012-02-28 09:04 obones Resolution open => fixed
2012-02-28 09:04 obones Assigned To => obones
2012-09-10 14:15 obones Fixed in Version Daily / SVN => 3.46


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker